package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网页访问记录对象 interview_table
 * 
 * @author ruoyi
 * @date 2023-10-16
 */
public class InterviewTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long interviewId;

    /** 设备id */
    @Excel(name = "设备id")
    private String equipmentId;

    /** 访问时间（分钟，保留两位小数） */
    @Excel(name = "访问时间")
    private Double interviewTime;

    /** 年 */
    @Excel(name = "年")
    private String year;

    /** 月 */
    @Excel(name = "月")
    private String month;

    /** 日 */
    @Excel(name = "日")
    private String day;

    public void setInterviewId(Long interviewId) 
    {
        this.interviewId = interviewId;
    }

    public Long getInterviewId() 
    {
        return interviewId;
    }
    public void setEquipmentId(String equipmentId) 
    {
        this.equipmentId = equipmentId;
    }

    public String getEquipmentId() 
    {
        return equipmentId;
    }
    public void setInterviewTime(Double interviewTime)
    {
        this.interviewTime = interviewTime;
    }

    public Double getInterviewTime()
    {
        return interviewTime;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setMonth(String month) 
    {
        this.month = month;
    }

    public String getMonth() 
    {
        return month;
    }
    public void setDay(String day) 
    {
        this.day = day;
    }

    public String getDay() 
    {
        return day;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("interviewId", getInterviewId())
            .append("equipmentId", getEquipmentId())
            .append("interviewTime", getInterviewTime())
            .append("year", getYear())
            .append("month", getMonth())
            .append("day", getDay())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
